lib_LTLIBRARIES       = libTOPCOM.la

libTOPCOM_la_SOURCES = \
Admissibles.cc \
CheckPoint.cc \
CheckTriang.cc \
Circuits.cc \
ClassifiedExtensionSymmetries.cc \
ClassifiedSubsetSymmetries.cc \
Cocircuits.cc \
CommandlineOptions.cc \
CompressedIntegerSet.cc \
ComputeSubsets.cc \
ComputeTriangs.cc \
ContainerIO.cc \
Facets.cc \
FastSimplicialComplex.cc \
Field.cc \
FineTriang.cc \
Flip.cc \
Graphics.cc \
Incidences.cc \
IndexTableArray.cc \
IntegerSet.cc \
IntegerSet64.cc \
InteriorFacets.cc \
MarkedFlips.cc \
Matrix.cc \
Message.cc \
Permutation.cc \
PermutationPartialComparator.cc \
PlacingTriang.cc \
PointConfiguration.cc \
RealChiro.cc \
ScreenReport.cc \
Signal.cc \
SimplicialComplex.cc \
SimplicialComplexTemplate.cc \
SparseIntegerSet.cc \
SparseSimplicialComplex.cc \
StairCaseMatrix.cc \
Statistics.cc \
StrictStairCaseMatrix.cc \
StrictStairCaseMatrixTrans.cc \
SwitchTable.cc \
SymmetricFlipGraph.cc \
SymmetricExtensionGraph.cc \
SymmetricExtensionGraphMaster.cc \
SymmetricExtensionGraphNode.cc \
Symmetry.cc \
TriangFlips.cc \
TriangNode.cc \
Vector.cc \
VertexFacetTable.cc \
VertexFacetTableArray.cc \
Vertices.cc \
VirtualChiro.cc \
Volumes.cc

include_HEADERS = \
Admissibles.hh \
Array.hh \
CheckPoint.hh \
CheckTriang.hh \
Chirotope.hh \
Circuits.hh \
ClassifiedExtensionSymmetries.hh \
ClassifiedSubsetSymmetries.hh \
Cocircuits.hh \
CommandlineOptions.hh \
CompressedIntegerSet.hh \
ComputeSubsets.hh \
ComputeTriangs.hh \
ContainerIO.hh \
Facets.hh \
FastSimplicialComplex.hh \
Field.hh \
FineTriang.hh \
Flip.hh \
Global.hh \
Graphics.hh \
HashKey.hh \
HashMap.hh \
HashSet.hh \
Incidences.hh \
IndexTableArray.hh \
IntegerSet.hh \
IntegerSet64.hh \
InteriorFacets.hh \
LabelSet.hh \
MarkedFlips.hh \
Matrix.hh \
Message.hh \
Pair.hh \
PartialTriang.hh \
Permutation.hh \
PermutationPartialComparator.hh \
PermlibPermutationGroup.hh \
PlacingTriang.hh \
PlainArray.hh \
PlainHashIndexTable.hh \
PlainHashMap.hh \
PlainHashSet.hh \
PlainHashTable.hh \
PlainLinkedHashTable.hh \
PlainUnlinkedHashTable.hh \
PointConfiguration.hh \
RealChiro.hh \
RefCount.hh \
ScreenReport.hh \
Signal.hh \
Simplex.hh \
SimplicialComplex.hh \
SimplicialComplexTemplate.hh \
SimplicialComplexTemplate_Declarations.hh \
SimplicialComplexTemplate_Definitions.hh \
SparseIntegerSet.hh \
SparseSimplicialComplex.hh \
StairCaseMatrix.hh \
Statistics.hh \
StrictStairCaseMatrix.hh \
StrictStairCaseMatrixTrans.hh \
SwitchTable.hh \
SymmetricFlipGraph.hh \
SymmetricExtensionGraph.hh \
SymmetricExtensionGraphMaster.hh \
SymmetricExtensionGraphNode.hh \
SymmetricSubsetGraph.hh \
SymmetricSubsetGraphMaster.hh \
SymmetricSubsetGraphNode.hh \
Symmetry.hh \
TriangFlips.hh \
TriangNode.hh \
Vector.hh \
VertexFacetTable.hh \
VertexFacetTableArray.hh \
Vertices.hh \
VirtualChiro.hh \
Volumes.hh

AM_CPPFLAGS    += -I$(top_srcdir)/lib-src-reg
AM_CPPFLAGS    += -I$(top_srcdir)/wrap-gmp-gmpxx
AM_CPPFLAGS    += -I$(top_builddir)/external/include
AM_CPPFLAGS    += -I$(includedir)

AM_CXXFLAGS    += -ftemplate-depth=100

